<% local form, viewlibrary, page_info, session = ... %>
<% htmlviewfunctions = require("htmlviewfunctions") %>
<% html = require("acf.html") %>

<script type="text/javascript">
	if (typeof jQuery == 'undefined') {
		document.write('<script type="text/javascript" src="<%= html.html_escape(page_info.wwwprefix) %>/js/jquery-latest.js"><\/script>');
	}
</script>

<script type="text/javascript">
	if (typeof $.tablesorter == 'undefined') {
		document.write('<script type="text/javascript" src="<%= html.html_escape(page_info.wwwprefix) %>/js/jquery.tablesorter.js"><\/script>');
	}
</script>

<script type="text/javascript">
	$(document).ready(function() {
		$("#list").tablesorter({widgets: ['zebra']});
		$(".deletetableentry").click(function(){ return confirm("Are you sure you want to delete this entry?")});
	});
</script>

<% local redir = cfe({ type="hidden", value=page_info.orig_action.."?table="..html.url_encode(form.value.table.value) }) %>

<% htmlviewfunctions.displaycommandresults({"deletetableentry", "updatetableentry"}, session) %>
<% htmlviewfunctions.displaycommandresults({"createtableentry"}, session, true) %>

<% local header_level = htmlviewfunctions.displaysectionstart(form, page_info) %>
<% htmlviewfunctions.displayitem(form.value.table) %>
<table id="list" class="tablesorter"><thead>
	<tr>
	<% if viewlibrary.check_permission("deletetableentry") or viewlibrary.check_permission("updatetableentry") then %>
		<th>Action</th>
	<% end %>
	<% for i,f in ipairs(form.value.fields.value) do %>
		<th><%= html.html_escape(f) %></th>
	<% end %>
	</tr>
</thead><tbody>
<% local table = cfe({ type="hidden", value=form.value.table.value }) %>
<% local id = cfe({ type="hidden" }) %>
<% for i,tableentry in ipairs(form.value.entries.value) do %>
	<tr>
	<% if viewlibrary.check_permission("deletetableentry") or viewlibrary.check_permission("updatetableentry") then %>
		<% id.value = tableentry.id %>
		<td>
	<% if viewlibrary.check_permission("updatetableentry") then %>
		<% htmlviewfunctions.displayitem(cfe({type="link", value={table=table, id=id, redir=redir}, label="", option="Update", action="updatetableentry"}), page_info, -1) %>
	<% end %>
	<% if viewlibrary.check_permission("deletetableentry") then %>
		<% htmlviewfunctions.displayitem(cfe({type="form", value={table=table, id=id, redir=redir}, label="", option="Delete", action="deletetableentry", class="deletetableentry"}), page_info, -1) %>
	<% end %>
		</td>
	<% end %>
	<% for i,f in ipairs(form.value.fields.value) do %>
		<td><%= html.html_escape(tableentry[f]) %></td>
	<% end %>
	</tr>
<% end %>
</tbody></table>
<% htmlviewfunctions.displayinfo(form) %>
<% if #form.value.entries.value == 0 then %>
<p>No entries found</p>
<% end %>
<% htmlviewfunctions.displaysectionend(header_level) %>

<% if page_info.action == "viewtable" and viewlibrary and viewlibrary.dispatch_component and viewlibrary.check_permission("createtableentry") then
	viewlibrary.dispatch_component("createtableentry", {table=form.value.table.value, redir=redir.value})
end %>
